# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nyaa_anime/version'

Gem::Specification.new do |spec|
  spec.name          = "nyaa_anime"
  spec.version       = NyaaAnime::VERSION
  spec.authors       = ["Joshua Tsubaki Wu"]
  spec.email         = ["wujoshuawu@gmail.com"]
  spec.summary       = %q{the painless NyaaTorrents anime command-line tool}
  spec.description   = "`nyaa` (short for `nyaa_anime`) is the painless NyaaTorrents anime " <<
                       "command-line tool. Search for and download anime torrents and open " <<
                       "them automatically. Results are color-coded - green for new episodes of " <<
                       "previously downloaded torrents, cyan (blue) for previously downloaded " <<
                       "torrents. Automatically find and downloaded new episodes of previously " <<
                       "downloaded anime with `$ nyaa get`. List and manage downloaded torrent files."
  spec.homepage      = "https://bitbucket.org/tsubaki/nyaa_anime"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'parallel', '~> 1.2', '>= 1.2.4'
  spec.add_runtime_dependency 'highline', '~> 1.6', '>= 1.6.21'
  spec.add_runtime_dependency 'nokogiri', '~> 1.6', '>= 1.6.2.1'
  spec.add_runtime_dependency 'colorize', '~> 0.7', '>= 0.7.3'
  spec.add_runtime_dependency 'os', '~> 0.9', '>=0.9.6'

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 0"
end
